package net.locusworks.logger;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;


/**
 * Annotation for configuring specific naming and log level for log classes
 * @author Isaac Parenteau
 * @version 1.0.0
 * @date 02/15/2018
 */
@Target({ElementType.TYPE})
@Retention(RetentionPolicy.RUNTIME)
public @interface ApplicationLoggerInfo {
  String name() default "";
  Class<?> className() default Object.class;
  LogLevel defaultLevel() default LogLevel.INFO;
}
